Page MenuHomePhabricator

[GOAL] Provide an expanded reading experience by improving the ways that users can download articles of interest for later consumption
Open, Stalled, HighPublic

Description

This task tracks the Readers Web FY 2017-18 Q2 goal of

Provide an expanded reading experience by improving the ways that users can download articles of interest for later consumption[.]

from https://www.mediawiki.org/wiki/Wikimedia_Audiences/2017-18_Q2_Goals#Readers.

Summary

This goal tracks the continued provision of PDF functionality for the desktop and mobile websites. For this quarter, the goal would be to:

  • Build and deploy a PDF renderer as a suitable replacement for Electron
  • Determine and plan expanding the mobile PDF button functionality for browsers other than Chrome
  • Determine the future of the books feature and collections extension

Components

Build and deploy a PDF renderer as a suitable replacement for Electron

During Q1, we completed most of planning and testing stages for replacing the Electron renderer with the Chromium rendering service for single article PDFs. During Q2 we will continue with building and deploying the service.

Determine and plan expansion of mobile PDF button functionality for browsers other than Chrome

During Q1, a button was deployed to the mobile website that triggers the browser's print dialog. This was tracked in T179914: Deploy print to PDF button for Chrome on Android. The button is currently limited to Chrome on Android. During QA, it was noted that triggering other browser's native (on Android) print dialog via JavaScript simply doesn't work. Notes on the various issues with these browsers are captured in T179529: [Spike] Can we detect browsers where the window.print function simply doesn't work?.

During this quarter, we would like to look into ways of expanding the button functionality to support all mobile browsers. This would be done through rendering the remaining PDFs (from non-Chrome browsers) via the new Chromium PDF renderer. We will begin with testing mobile PDFs with the new Chromium renderer.

Note: the remaining tasks for the extended button functionality are contingent on positive results based on initial performance testing (T181513: Prepare for deploy of chromium rendering service and usage on mobile (traffic))

Determine the future of the books feature and collections extension

We would like to test the new PDF renderer's ability to process larger books. Based on this evaluation, we will make decisions on the future of the books feature and collections extension, tracked in (T183161: Performance test books on chromium rendering service). At this moment, we are not expecting any other development work on collections throughout the course of the quarter.

Related Objects

StatusAssignedTask
ResolvedJdlrobson
StalledNone
OpenNone
ResolvedBawolff
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedmobrovac
Resolvedmobrovac
ResolvedNiedzielski
Resolvedphuedx
ResolvedJdrewniak
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
DeclinedNone
Resolvedbmansurov
Resolvedmobrovac
Resolvedovasileva
ResolvedJdlrobson
Resolvedphuedx
Resolvedphuedx
Resolvedholger.knust
ResolvedTgr
Resolvedjijiki
ResolvedMSantos
Resolvedmobrovac
Resolvedovasileva
Resolvedphuedx
Declinedpmiazga
ResolvedDzahn
Resolvedpmiazga
Duplicateholger.knust
ResolvedMSantos
ResolvedTgr
ResolvedJohan
OpenNone
ResolvedABorbaWMF
ResolvedABorbaWMF
DeclinedNone
Declinedovasileva
DeclinedNone
ResolvedABorbaWMF
Resolvedphuedx
InvalidNone
ResolvedABorbaWMF
Resolvedphuedx
Resolvedmobrovac
Resolvedmobrovac
Resolvedakosiaris
Resolvedmobrovac
Resolvedfgiunchedi
Resolvedpmiazga
Resolvedfaidon
Resolvedmobrovac
Resolvedmobrovac
Resolvedpmiazga
ResolvedJdrewniak
Resolvedmobrovac
Resolvedphuedx
Resolvedpmiazga
Resolvedpmiazga
Openovasileva
Openalexhollender
OpenNone
Resolved Tbayer
Resolved Tbayer
Resolvedovasileva
ResolvedCKoerner_WMF
Resolved Tbayer
Resolvedovasileva
OpenNone
InvalidNone
ResolvedJohan
Resolvedovasileva
StalledNone

Event Timeline

phuedx created this task.Nov 21 2017, 6:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 21 2017, 6:46 PM
phuedx updated the task description. (Show Details)Nov 21 2017, 7:01 PM
phuedx updated the task description. (Show Details)
ovasileva moved this task from Triage to Backlog - Q2 on the Proton board.Dec 1 2017, 2:22 PM
ovasileva updated the task description. (Show Details)Jan 11 2018, 9:16 PM
ovasileva updated the task description. (Show Details)Jan 11 2018, 9:36 PM
ovasileva updated the task description. (Show Details)Jan 11 2018, 9:45 PM
ovasileva triaged this task as High priority.Jan 23 2018, 1:35 AM
phuedx changed the task status from Open to Stalled.Mar 7 2018, 4:21 PM
Jhernandez edited projects, added PDF-Rendering; removed Proton.Feb 25 2019, 7:07 PM
Jdlrobson changed the status of subtask T211002: Remove PDF banner on Special:ElectronPdf from Open to Stalled.Apr 3 2019, 3:41 AM
TheDJ changed the status of subtask T211002: Remove PDF banner on Special:ElectronPdf from Stalled to Open.Jun 4 2019, 12:25 PM